VismaBouwsoftAPICalls.v1_GET_WorkingDocumentData Method
v1_GET_WorkingDocumentData() as String

This API call is used to get fields of a(n) WorkingDocumentData(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /WorkingDocumentData/
or
API Path: /WorkingDocumentData/{id}
or
API Path: /WorkingDocumentData/FieldInfo/

You can make this API call:
* without the key field id to get a list of WorkingDocumentData
* with the key field id as the path parameter (the specific id of the WorkingDocumentData you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
address_id 1 tpLong 0 No Yes No Addresses
address_salutation 2 tpString 50 No No No
address_name 2 tpString 150 No No No
address_address 2 tpString 63 No No No
address_addressline2 2 tpString 63 No No No
address_latitude 4 tpDouble 0 No No No
address_longitude 4 tpDouble 0 No No No
address_countrycode 2 tpString 2 No No No
address_zipcode 2 tpString 15 No No No
address_city 2 tpString 40 No No No
address_state 2 tpString 40 No No No
shippingaddress_address 2 tpString 63 No No No
shippingaddress_addressline2 2 tpString 63 No No No
shippingaddress_latitude 4 tpDouble 0 No No No
shippingaddress_longitude 4 tpDouble 0 No No No
shippingaddress_countrycode 2 tpString 2 No No No
shippingaddress_zipcode 2 tpString 15 No No No
shippingaddress_city 2 tpString 40 No No No
shippingaddress_state 2 tpString 40 No No No
contact_id 1 tpLong 0 No Yes No AddressContacts
contact_salutation 2 tpString 50 No No No
contact_name 2 tpString 100 No No No
vatnr 2 tpString 50 No No No
gln 2 tpString 13 No No No
be_rpr 2 tpString 50 No No No
telephone1 9 tpTelefoon 25 No No No
telephone2 9 tpTelefoon 25 No No No
fax 15 tpFax 25 No No No
gsm 9 tpTelefoon 25 No No No
email 10 tpEmail 100 No No No
project_id 1 tpLong 0 No Yes No Projects
project_pnr 1 tpLong 0 No No No
project_unr 1 tpLong 0 No No No
project_name 2 tpString 100 No No No
yourreference 2 tpString 50 No No No
be_werkplaatsnr30bis 2 tpString 50 No No No

/WorkingDocumentData/

API Path: /WorkingDocumentData/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/WorkingDocumentData

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PbjfWxftIOzSfDUlIfzRqklGfltAfGjkfkkkzPfPlUAGDIDlfk

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/16603”, “Records”: [
  {
    "id": 1,
    "address_id": 24,
    "address_salutation": "BVBA",
    "address_name": "Gasthof Lophem",
    "address_address": "Zeedijkweg 23a",
    "address_addressline2": "",
    "address_latitude": 51.142470000000003,
    "address_longitude": 3.18053,
    "address_countrycode": "BE",
    "address_zipcode": "8210",
    "address_city": "Loppem",
    "address_state": "West-vlaanderen",
    "shippingaddress_address": "Zeedijkweg 23 A",
    "shippingaddress_addressline2": "",
    "shippingaddress_latitude": 51.142470000000003,
    "shippingaddress_longitude": 3.18053,
    "shippingaddress_countrycode": "BE",
    "shippingaddress_zipcode": "8210",
    "shippingaddress_city": "Loppem",
    "shippingaddress_state": "West-vlaanderen",
    "contact_id": 1,
    "contact_salutation": "Mevr.",
    "contact_name": "Nele Verhegge",
    "vatnr": "BTW BE 0885.429.559",
    "gln": "",
    "be_rpr": "Brugge",
    "telephone1": "+32 50 82 21 67 ",
    "telephone2": "",
    "fax": "+32 50 40 04 80 ",
    "gsm": "",
    "email": "nele.verhegge@gmail.com",
    "project_id": 1,
    "project_pnr": 20120001,
    "project_unr": 1,
    "project_name": "Project: Gasthof Lophem schilderwerken",
    "yourreference": "",
    "be_werkplaatsnr30bis": ""
  },
  {
    "id": 4,
    "address_id": 165683,
    "address_salutation": "",
    "address_name": "1234",
    "address_address": "Molenweg 9",
    "address_addressline2": "",
    "address_latitude": 51.231999999999999,
    "address_longitude": 3.164,
    "address_countrycode": "BE",
    "address_zipcode": "8377",
    "address_city": "Meetkerke",
    "address_state": "West-vlaanderen",
    "shippingaddress_address": "",
    "shippingaddress_addressline2": "",
    "shippingaddress_latitude": 0,
    "shippingaddress_longitude": 0,
    "shippingaddress_countrycode": "",
    "shippingaddress_zipcode": "",
    "shippingaddress_city": "",
    "shippingaddress_state": "",
    "contact_id": 155428,
    "contact_salutation": "",
    "contact_name": "56789",
    "vatnr": "azeazeeazadqsd",
    "gln": "",
    "be_rpr": "",
    "telephone1": "",
    "telephone2": "",
    "fax": "",
    "gsm": "",
    "email": "",
    "project_id": 1,
    "project_pnr": 20120001,
    "project_unr": 1,
    "project_name": "Project Gasthof Lophem schilderwerken",
    "yourreference": "AB",
    "be_werkplaatsnr30bis": ""
  }
,

]
}

/WorkingDocumentData/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/WorkingDocumentData/1

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lVbfWxfPrUzSfkAmVfzRqOUAfVOGGfjtftbbzGmPVUDfmmlIjO

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 1,
    "address_id": 24,
    "address_salutation": "BVBA",
    "address_name": "Gasthof Lophem",
    "address_address": "Zeedijkweg 23a",
    "address_addressline2": "",
    "address_latitude": 51.142470000000003,
    "address_longitude": 3.18053,
    "address_countrycode": "BE",
    "address_zipcode": "8210",
    "address_city": "Loppem",
    "address_state": "West-vlaanderen",
    "shippingaddress_address": "Zeedijkweg 23 A",
    "shippingaddress_addressline2": "",
    "shippingaddress_latitude": 51.142470000000003,
    "shippingaddress_longitude": 3.18053,
    "shippingaddress_countrycode": "BE",
    "shippingaddress_zipcode": "8210",
    "shippingaddress_city": "Loppem",
    "shippingaddress_state": "West-vlaanderen",
    "contact_id": 1,
    "contact_salutation": "Mevr.",
    "contact_name": "Nele Verhegge",
    "vatnr": "BTW BE 0885.429.559",
    "gln": "",
    "be_rpr": "Brugge",
    "telephone1": "+32 50 82 21 67 ",
    "telephone2": "",
    "fax": "+32 50 40 04 80 ",
    "gsm": "",
    "email": "nele.verhegge@gmail.com",
    "project_id": 1,
    "project_pnr": 20120001,
    "project_unr": 1,
    "project_name": "Project: Gasthof Lophem schilderwerken",
    "yourreference": "",
    "be_werkplaatsnr30bis": ""
  }
]
}

/WorkingDocumentData/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/WorkingDocumentData/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "address_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": "Addresses"
  },
  {
    "name": "address_salutation",
    "type_id": 2,
    "type_name": "tpString",
    "length": 50,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]